cdac.medinfo.sdk.hl7282.baselibs.parserserializer

## Class HL7Serializer

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.parserserializer.HL7Serializer

-     public class HL7Serializer
      extends java.lang.Object

  HL7Serializer serializes the SegmentSet to the stream. SegmentSet is a list of segments which represents a HL7 message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HL7Serializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `serialize(ISegmentSet objSegmentSet, IHL7Stream objHL7Stream)` Serializes the SegmentSet on given stream.
    `boolean` | `serialize(ISegmentSet objSegmentSet, java.lang.String strFilePath)` Serializes the SegmentSet on given file location.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HL7Serializer

          public HL7Serializer()

  - ### Method Detail

    - #### serialize

          public boolean serialize(ISegmentSet objSegmentSet,
                          IHL7Stream objHL7Stream)
                            throws SerializeException,
                                   java.io.IOException

      Serializes the SegmentSet on given stream.
      Parameters:
        `objSegmentSet` - instance of SegmentSet
        `objHL7Stream` - instance of HL7Stream
      Returns:
        boolean status as true or false
      Throws:
        `SerializeException` - if serialization operation fails
        `java.io.IOException` - if input/output operation fails

    - #### serialize

          public boolean serialize(ISegmentSet objSegmentSet,
                          java.lang.String strFilePath)
                            throws SerializeException,
                                   java.io.IOException

      Serializes the SegmentSet on given file location.
      Parameters:
        `objSegmentSet` - instance of SegmentSet
        `strFilePath` - path to file
      Returns:
        boolean status as true or false
      Throws:
        `SerializeException` - if serialization operation fails
        `java.io.IOException` - if input/output operation fails